> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 新闻文章搜索

> 使用 News Articles Search 端点查找与 Apollo 数据库中公司相关的新闻文章。



## OpenAPI

````yaml openapi/zh/apollo.json POST /apollo/news_articles/search
openapi: 3.0.3
info:
  title: Apollo API
  version: 1.0.0
  description: 通过 AIsa 统一网关公开的 Apollo API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /apollo/news_articles/search:
    post:
      summary: 新闻文章搜索
      description: >-
        使用 News Articles Search 端点查找与 Apollo
        数据库中公司相关的新闻文章。可使用多种筛选条件来缩小搜索范围。调用此端点会消耗 Apollo 定价方案中的点数。
      operationId: post_apollo_news_articles_search
      parameters:
        - name: organization_ids[]
          in: query
          required: true
          schema:
            type: array
            items:
              type: string
          description: >-
            你希望包含在搜索结果中的公司 Apollo ID。Apollo 数据库中的每家公司都会被分配一个唯一 ID。要查找 ID，请调用
            Organization Search 端点并识别 organization_id
            的值。示例：5e66b6381e05b4008c8331b8
        - name: categories[]
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
          description: >-
            筛选搜索结果，使其仅包含特定新闻类别或子类别。使用 Apollo
            中面向公司的新闻搜索筛选器，查找所有可能的类别和子类别。示例：招聘；投资；合同
        - name: published_at[min]
          in: query
          required: false
          schema:
            type: string
          description: >-
            设置要搜索的日期范围下限。请将此参数与 published_at[max] 参数结合使用。此日期应早于
            published_at[max] 日期。日期格式应为 YYYY-MM-DD。示例：2025-02-15
        - name: published_at[max]
          in: query
          required: false
          schema:
            type: string
          description: >-
            设置要搜索的日期范围上限。此参数应与 published_at[min] 参数结合使用。此日期应晚于 published_at[min]
            日期。日期格式应为 YYYY-MM-DD。示例：2025-05-15
        - name: page
          in: query
          required: false
          schema:
            type: integer
          description: 要检索的 Apollo 数据页码。将此参数与 per_page 参数结合使用，使搜索结果可分页浏览并提高端点性能。示例：4
        - name: per_page
          in: query
          required: false
          schema:
            type: integer
          description: 每页应返回的搜索结果数量。限制每页的结果数量可提高端点性能。使用 page 参数搜索不同的数据页。示例：10
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  pagination:
                    type: object
                    description: 响应对象
                  news_articles:
                    type: array
                    items:
                      type: string
                    description: 响应数组
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````